Bug 463331 - [LTC 6.0 FEAT] 201247:sysdiag package
[LTC 6.0 FEAT] 201247:sysdiag package
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: distribution (Show other bugs)
6.0
ppc64 All
medium Severity medium
: alpha
: 6.0
Assigned To: RHEL Product and Program Management
Daniel Riek
:
Depends On:
Blocks: 356741
  Show dependency treegraph
 
Reported: 2008-09-22 18:11 EDT by IBM Bug Proxy
Modified: 2009-06-24 13:50 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-24 13:50:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description IBM Bug Proxy 2008-09-22 18:11:05 EDT
=Comment: #0=================================================
Emily J. Ratliff <emilyr@us.ibm.com> - 2008-09-16 18:29 EDT
1. Feature Overview:
Feature Id:	[201247]
a. Name of Feature:	sysdiag package
b. Feature Description
The sysdiag package provides a front end for diagnostics, service procedures, system inventory,
service parameter configuration, and servicelog queries.  Many of these actions can currently be
done from the command line, but sysdiag provides a simpler interface.

2. Feature Details:
Sponsor:	PPC
Architectures:
ppc64

Arch Specificity: Both
Delivery Mechanism: Direct from community
Category:	Power Servicability
Request Type:	Package - New
d. Upstream Acceptance:	In Progress
Sponsor Priority	2
f. Severity: Medium
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	sysdiag 0.3.0

3. Business Case
While there are some inventory and diagnostic tools available from the command line, many of them
are unknown to customers or are difficult to use.  Simplification of service configuration,
diagnostics, and repair procedures will allow customers to more easily diagnose and service their
systems without having to resort to help lines.

4. Primary contact at Red Hat: 
John Jarvis
jjarvis@redhat.com

5. Primary contacts at Partner:
Project Management Contact:
Mike Wortman, wortman@us.ibm.com, 512-838-8582

Technical contact(s):
Michael Strosaker, strosake@us.ibm.com

IBM Manager:
Larry Kessler, lkessler@us.ibm.com
Comment 1 Bill Nottingham 2008-10-02 12:06:23 EDT
How is this different from/an improvement on OpenHPI or similar tools?
Comment 2 IBM Bug Proxy 2009-03-03 15:12:32 EST
This package has been open sourced and provided at:

http://sourceforge.net/project/showfiles.php?group_id=44427&package_id=92526&release_id=219638
Comment 3 Bill Nottingham 2009-03-03 17:22:53 EST
Putting back in NEEDINFO.
Comment 4 Roman Rakus 2009-03-17 10:16:03 EDT
Today sysdiag is not in good shape.
1) It has tdb package inside. It should be saparate package.
2) It uses old version of sysfs-utils and should be rewrited to use sysfs-utils version >= 2.0.0.

Issue 1 is easy to fix. I can provide patch. But I'm not much familiar with sysfsutils.
Comment 7 RHEL Product and Program Management 2009-06-24 13:50:10 EDT
Product Management has reviewed and declined this request.  You may appeal this
decision by reopening this request.

Note You need to log in before you can comment on or make changes to this bug.